Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class DOM2SAX

    java.lang.Object
      org.apache.xalan.xsltc.trax.DOM2SAX

All Implemented Interfaces:
  org.xml.sax.Locator, org.xml.sax.XMLReader

    public class DOM2SAX

extends java.lang.Object
implements org.xml.sax.XMLReader, org.xml.sax.Locator

Author:
  G. Todd Miller

Constructor Summary
`DOM2SAX(org.w3c.dom.Node root)`

Method Summary
`int` | `getColumnNumber()` This class is only used internally so this method should never be called.
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.DTDHandler` | `getDTDHandler()` This class is only used internally so this method should never be called.
`org.xml.sax.EntityResolver` | `getEntityResolver()` This class is only used internally so this method should never be called.
`org.xml.sax.ErrorHandler` | `getErrorHandler()` This class is only used internally so this method should never be called.
`boolean` | `getFeature(java.lang.String name)` This class is only used internally so this method should never be called.
`int` | `getLineNumber()` This class is only used internally so this method should never be called.
`java.lang.Object` | `getProperty(java.lang.String name)` This class is only used internally so this method should never be called.
`java.lang.String` | `getPublicId()` This class is only used internally so this method should never be called.
`java.lang.String` | `getSystemId()` This class is only used internally so this method should never be called.
`void` | `parse()`
`void` | `parse(org.xml.sax.InputSource unused)`
`void` | `parse(java.lang.String sysId)` This class is only used internally so this method should never be called.
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)` This class is only used internally so this method should never be called.
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)` This class is only used internally so this method should never be called.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)` This class is only used internally so this method should never be called.
`void` | `setFeature(java.lang.String name, boolean value)` This class is only used internally so this method should never be called.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` This class is only used internally so this method should never be called.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOM2SAX

    public DOM2SAX(org.w3c.dom.Node root)

Method Detail

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)
                           throws java.lang.NullPointerException

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.lang.NullPointerException`

### parse

    public void parse(org.xml.sax.InputSource unused)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### parse

    public void parse()
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  This class is only used internally so this method should never be called.

  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  This class is only used internally so this method should never be called.

  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  This class is only used internally so this method should never be called.

  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  This class is only used internally so this method should never be called.

  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### parse

    public void parse(java.lang.String sysId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  This class is only used internally so this method should never be called.

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)
                       throws java.lang.NullPointerException

  This class is only used internally so this method should never be called.

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.lang.NullPointerException`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)
                           throws java.lang.NullPointerException

  This class is only used internally so this method should never be called.

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.lang.NullPointerException`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  This class is only used internally so this method should never be called.

  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)
                         throws java.lang.NullPointerException

  This class is only used internally so this method should never be called.

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.lang.NullPointerException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  This class is only used internally so this method should never be called.

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  This class is only used internally so this method should never be called.

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getColumnNumber

    public int getColumnNumber()

  This class is only used internally so this method should never be called.

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`

### getLineNumber

    public int getLineNumber()

  This class is only used internally so this method should never be called.

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`

### getPublicId

    public java.lang.String getPublicId()

  This class is only used internally so this method should never be called.

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId()

  This class is only used internally so this method should never be called.

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache XML Project. All Rights Reserved.